> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all active Data Sources the user has access to

> Get Data Sources that a user has access to based on Data Source permissions and input filters



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/datasource/v1/datasources
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/datasource/v1/datasources:
    get:
      tags:
        - Data Sources
      summary: Get all active Data Sources the user has access to
      description: >-
        Get Data Sources that a user has access to based on Data Source
        permissions and input filters
      operationId: getAccessibleAndActiveDataSources
      parameters:
        - description: Names of the Data Sources to get
          in: query
          name: dataSourceNames
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            How many Data Sources from the start to skip, sorted by descending
            ID order. Defaults to 0
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
        - description: Maximum number of Data Sources to fetch. Defaults to 10
          in: query
          name: limit
          required: false
          schema:
            default: 10
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDataSourceEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    PaginatedDataSourceEnvelopeV1:
      properties:
        dataSources:
          items:
            $ref: '#/components/schemas/DataSourceEnvelopeV1'
          type: array
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
      required:
        - dataSources
        - metadata
      type: object
    DataSourceEnvelopeV1:
      properties:
        authType:
          $ref: '#/components/schemas/DataSourceAuthTypeV1'
        config:
          $ref: '#/components/schemas/DataSourceConfigV1'
        credentialType:
          $ref: '#/components/schemas/DataSourceCredentialTypeV1'
        dataSourceType:
          $ref: '#/components/schemas/DataSourceTypeV1'
        description:
          description: Description of the Data Source
          example: My Data Source
          type: string
        displayName:
          description: Data Source display name
          example: Azure Data Lake Store
          type: string
        id:
          description: ID of the Data Source
          example: 62604702b7e5d347dbe7a909
          type: string
        lastUpdated:
          description: ISO 8601 formatted time of when the Data Source was last updated
          example: '2022-04-23T18:25:43.511Z'
          format: date-time
          type: string
        name:
          description: User-given name of the Data Source
          example: data-source-name
          type: string
        ownerId:
          description: ID of the Data Source owner
          example: 62604702b7e5d347dbe7a909
          type: string
        ownerUsername:
          description: Username of the owner of the Data Source
          example: owner-username
          type: string
        permissions:
          $ref: '#/components/schemas/DataSourcePermissionsV1'
      required:
        - id
        - name
        - ownerId
        - ownerUsername
        - dataSourceType
        - authType
        - credentialType
        - config
        - permissions
        - lastUpdated
        - displayName
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    DataSourceAuthTypeV1:
      description: The type of Data Source authentication
      example: AzureBasic
      type: string
    DataSourceConfigV1:
      additionalProperties:
        type: string
      description: A map of configuration name -> value
      example:
        host: example-host.com
      type: object
    DataSourceCredentialTypeV1:
      description: Whether the credentials are individual to a user or shared
      enum:
        - Individual
        - Shared
      type: string
    DataSourceTypeV1:
      description: The configuration type of the Data Source
      example: ADLSConfig
      type: string
    DataSourcePermissionsV1:
      properties:
        isEveryone:
          description: Whether the Data Source is accessible by everyone
          type: boolean
        userAndOrganizationIds:
          description: User and Organization IDs that can access this Data Source
          items:
            type: string
          type: array
      required:
        - isEveryone
        - userAndOrganizationIds
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Administer identity and access control](/cloud/admin/security-and-compliance/auth-identity-access-control.md)
- [Share Data Sources securely](/cloud/platform-capabilities/core-concepts/data/sharing-and-security/share-data-sources.md)
- [Connect a Data Source](/cloud/platform-capabilities/features/monitoring/4-set-up-model-monitor/2-connect-a-data-source.md)
- [Get all Gen AI endpoints accessible by the user](/api-reference/genai/get-all-gen-ai-endpoints-accessible-by-the-user.md)
